--- old/usr/src/man/man1m/zfs.1m	Mon Oct 29 18:19:32 2012
+++ new/usr/src/man/man1m/zfs.1m	Mon Oct 29 18:19:32 2012
@@ -401,8 +401,9 @@
 A dataset can also be delegated to a non-global zone by using the \fBzonecfg\fR
 \fBadd dataset\fR subcommand. You cannot delegate a dataset to one zone and the
 children of the same dataset to another zone. The zone administrator can change
-properties of the dataset or any of its children. However, the \fBquota\fR
-property is controlled by the global administrator.
+properties of the dataset or any of its children. However, the \fBquota\fR,
+\fBdataset_quota\fR and \fBsnapshot_quota\fR properties are controlled by the
+global administrator.
 .sp
 .LP
 A \fBZFS\fR volume can be added as a device to a non-global zone by using the
@@ -946,6 +947,21 @@
 .sp
 .ne 2
 .na
+\fB\fBdataset_quota\fR=\fIcount\fR | \fBnone\fR\fR
+.ad
+.sp .6
+.RS 4n
+Limits the number of datasets that can be created within a dataset and its
+descendents. This property enforces a hard limit on the number of datasets
+below the given dataset.  Setting a dataset_quota on a descendent of a dataset
+that already has a dataset_quota does not override the ancestor's dataset_quota,
+but rather imposes an additional limit. This feature must be enabled to be
+used (see \fBzpool-features\fR(5)).
+.RE
+
+.sp
+.ne 2
+.na
 \fB\fBdevices\fR=\fBon\fR | \fBoff\fR\fR
 .ad
 .sp .6
@@ -1031,6 +1047,24 @@
 .sp
 .ne 2
 .na
+\fB\fBsnapshot_quota\fR=\fIcount\fR | \fBnone\fR\fR
+.ad
+.sp .6
+.RS 4n
+Limits the number of snapshots that can be created on a dataset and its
+descendents. This property enforces a hard limit on the number of snapshots
+below the given dataset.  Setting a snapshot_quota on a descendent of a dataset
+that already has a snapshot_quota does not override the ancestor's
+snapshot_quota, but rather imposes an additional limit. The quota is not
+enforced for recursive snapshots taken from above the dataset with the quota,
+but that snapshot will be counted against the quota if the dataset is
+snapshotted directly.  This feature must be enabled to be used (see
+\fBzpool-features\fR(5)).
+.RE
+
+.sp
+.ne 2
+.na
 \fB\fBuserquota@\fR\fIuser\fR=\fIsize\fR | \fBnone\fR\fR
 .ad
 .sp .6
@@ -3125,6 +3159,7 @@
 checksum         property
 compression      property
 copies           property
+dataset_quota    property
 devices          property
 exec             property
 mountpoint       property
@@ -3143,6 +3178,7 @@
 sharenfs         property
 sharesmb         property
 snapdir          property
+snapshot_quota   property
 utf8only         property
 version          property
 volblocksize     property
